
module "slb-rule" {
  source = "terraform-aws-modules/slb-rule/aws"
  version = "1.1.0"
  address_type = var.address_type
  availability_zone = var.availability_zone
  available_disk_category = var.available_disk_category
  available_resource_creation = var.available_resource_creation
  backend_port = var.backend_port
  bandwidth = var.bandwidth
  cidr_block = var.cidr_block
  cookie = var.cookie
  cookie_timeout = var.cookie_timeout
  cpu_core_count = var.cpu_core_count
  domain = var.domain
  frontend_port = var.frontend_port
  health_check = var.health_check
  health_check_connect_port = var.health_check_connect_port
  health_check_domain = var.health_check_domain
  health_check_http_code = var.health_check_http_code
  health_check_interval = var.health_check_interval
  health_check_timeout = var.health_check_timeout
  health_check_uri = var.health_check_uri
  healthy_threshold = var.healthy_threshold
  images_most_recent = var.images_most_recent
  images_name_regex = var.images_name_regex
  images_owners = var.images_owners
  internal = var.internal
  listener_sync = var.listener_sync
  memory_size = var.memory_size
  name = var.name
  protocol = var.protocol
  rule_health_check_connect_port = var.rule_health_check_connect_port
  scheduler = var.scheduler
  spec = var.spec
  sticky_session = var.sticky_session
  sticky_session_type = var.sticky_session_type
  tags = var.tags
  unhealthy_threshold = var.unhealthy_threshold
  url = var.url
  vswitch_id = var.vswitch_id
}
